=== modified file 'configure.ac'
--- old/configure.ac	2010-02-09 05:13:33 +0000
+++ new/configure.ac	2010-02-09 05:14:08 +0000
@@ -179,6 +179,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 ])
 
 PKG_CHECK_MODULES(LIBNOTIFY, libnotify >= $LIBNOTIFY_REQUIRED)

=== modified file 'src/empathy-chat-window.c'
--- old/src/empathy-chat-window.c	2010-02-09 05:13:33 +0000
+++ new/src/empathy-chat-window.c	2010-02-09 05:58:14 +0000
@@ -35,6 +35,9 @@
 #include <glib/gi18n.h>
 #include <libnotify/notification.h>
 
+/* Add launchpad hooks */
+#include <launchpad-integration.h>
+
 #include <telepathy-glib/telepathy-glib.h>
 
 #include <libempathy/empathy-contact.h>
@@ -1945,6 +1948,10 @@
 	priv->current_chat = NULL;
 
 	priv->notify_mgr = empathy_notify_manager_dup_singleton ();
+
+	/* Add launchpad hooks */
+	launchpad_integration_add_ui (priv->ui_manager, "/chats_menubar/menu_help/LaunchpadItems");
+
 }
 
 EmpathyChatWindow *

=== modified file 'src/empathy-chat-window.ui'
--- old/src/empathy-chat-window.ui	2010-02-09 05:13:33 +0000
+++ new/src/empathy-chat-window.ui	2010-02-09 05:35:32 +0000
@@ -180,6 +180,7 @@
         </menu>
         <menu action="menu_help">
           <menuitem action="menu_help_contents"/>
+          <placeholder name="LaunchpadItems"/>
           <menuitem action="menu_help_about"/>
         </menu>
       </menubar>

=== modified file 'src/empathy-main-window.c'
--- old/src/empathy-main-window.c	2010-02-09 05:13:33 +0000
+++ new/src/empathy-main-window.c	2010-02-09 05:14:08 +0000
@@ -29,6 +29,9 @@
 
 #include <telepathy-glib/account-manager.h>
 
+/* Add launchpad hooks */
+#include <launchpad-integration.h>
+
 #include <libempathy/empathy-contact.h>
 #include <libempathy/empathy-idle.h>
 #include <libempathy/empathy-utils.h>
@@ -1473,6 +1476,9 @@
 						 EMPATHY_PREFS_UI_SHOW_AVATARS,
 						 window);
 
+	/* Add launchpad hooks */
+	launchpad_integration_add_ui (window->ui_manager, "/menubar/help/LaunchpadItems");
+
 	return window->window;
 }
 

=== modified file 'src/empathy-main-window.ui'
--- old/src/empathy-main-window.ui	2010-02-09 05:13:33 +0000
+++ new/src/empathy-main-window.ui	2010-02-09 05:14:08 +0000
@@ -259,6 +259,7 @@
         <menu action="help">
           <menuitem action="help_contents"/>
           <menuitem action="help_debug"/>
+          <placeholder name="LaunchpadItems"/>
           <menuitem action="help_about"/>
         </menu>
       </menubar>

